# -*- encoding: utf-8 -*-
# stub: fssm 0.2.10 ruby lib

Gem::Specification.new do |s|
  s.name = "fssm".freeze
  s.version = "0.2.10".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Travis Tilley".freeze, "Nathan Weizenbaum".freeze, "Chris Eppstein".freeze, "Jonathan Castello".freeze, "Tuomas Kareinen".freeze]
  s.date = "2023-10-27"
  s.description = "The File System State Monitor keeps track of the state of any number of paths and will fire events when said state changes (create/update/delete). FSSM supports using FSEvents on MacOS, Inotify on GNU/Linux, and polling anywhere else.".freeze
  s.email = ["ttilley@gmail.com".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.markdown".freeze, "Rakefile".freeze, "example.rb".freeze, "ext/rakefile.rb".freeze, "fssm.gemspec".freeze, "lib/fssm.rb".freeze, "lib/fssm/backends/inotify.rb".freeze, "lib/fssm/backends/polling.rb".freeze, "lib/fssm/backends/rbfsevent.rb".freeze, "lib/fssm/monitor.rb".freeze, "lib/fssm/path.rb".freeze, "lib/fssm/pathname.rb".freeze, "lib/fssm/state/directory.rb".freeze, "lib/fssm/state/file.rb".freeze, "lib/fssm/support.rb".freeze, "lib/fssm/tree.rb".freeze, "lib/fssm/version.rb".freeze, "profile/prof-cache.rb".freeze, "profile/prof-fssm-pathname.html".freeze, "profile/prof-pathname-rubinius.rb".freeze, "profile/prof-pathname.rb".freeze, "profile/prof-plain-pathname.html".freeze, "profile/prof.html".freeze, "spec/count_down_latch.rb".freeze, "spec/monitor_spec.rb".freeze, "spec/path_spec.rb".freeze, "spec/root/duck/quack.txt".freeze, "spec/root/file.css".freeze, "spec/root/file.rb".freeze, "spec/root/file.yml".freeze, "spec/root/moo/cow.txt".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/ttilley/fssm".freeze
  s.rubygems_version = "1.8.24".freeze
  s.summary = "File System State Monitor".freeze
  s.test_files = ["spec/count_down_latch.rb".freeze, "spec/monitor_spec.rb".freeze, "spec/path_spec.rb".freeze, "spec/root/duck/quack.txt".freeze, "spec/root/file.css".freeze, "spec/root/file.rb".freeze, "spec/root/file.yml".freeze, "spec/root/moo/cow.txt".freeze, "spec/spec_helper.rb".freeze]

  s.specification_version = 3

  s.add_development_dependency(%q<rake>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, [">= 2.4.0".freeze])
end
